---
editUrl: false
next: false
prev: false
title: "transient"
---

> **transient**\<`T`\>(`cb`): `T`

:::caution[Deprecated]
This API is no longer supported and may be removed in a future release.
:::

## Type parameters

• **T**

## Parameters

• **cb**

## Returns

`T`

## Since

2.0.0
Creates a transient object

## Source

[src/core/ioc.ts:115](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/ioc.ts#L115)
